Skip To Content

System requirements

The Business Analyst mobile app supports:

  • iOS 9 and higher versions
    Note:

    It is recommended that you use iOS 10 and above for the best experience. Support for iOS 9 and earlier versions will be discontinued in the second quarter of 2018.

  • Android 4.4.X and higher versions
    Note:

    Performance of the Business Analyst mobile app on Android versions before 5.0 may be slow. Support for Android versions before 5.0 will be discontinued in the second quarter of 2018.